/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2009 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package org.ow2.petals.systemstate;

/**
 * The topology exception class
 *
 * @author rnaudin - EBM WebSourcing
 *
 */
public class SystemStateException extends Exception {

    /**
     * The serial UID version
     */
    private static final long serialVersionUID = 764799315691524L;

    /**
     * Default constructor
     *
     * @param msg
     *            the msg exception
     */
    public SystemStateException(final String msg) {
        super(msg);
    }

    /**
     * Default constructor
     *
     * @param msg
     *            the msg exception
     * @param exception
     *            the original exception
     */
    public SystemStateException(final String msg, final Exception exception) {
        super(msg, exception);
    }
}
